package test.org.seasar.framework.container;

import junit.framework.Test;
import junit.framework.TestSuite;
import test.org.seasar.framework.container.assembler.AssemblerAllTests;
import test.org.seasar.framework.container.deployer.DeployerAllTests;
import test.org.seasar.framework.container.factory.ContainerFactoryAllTests;
import test.org.seasar.framework.container.impl.ContainerImplAllTests;
import test.org.seasar.framework.container.ognl.OgnlAllTests;

/**
 * @author higa
 *
 */
public class ContainerAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ContainerAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.framework.container");
		//$JUnit-BEGIN$
		suite.addTest(AssemblerAllTests.suite());
		suite.addTest(ContainerFactoryAllTests.suite());
		suite.addTest(ContainerImplAllTests.suite());
		suite.addTest(DeployerAllTests.suite());
		suite.addTest(OgnlAllTests.suite());
		//$JUnit-END$
		return suite;
	}
}
